CVE-2012-0475

NameCVE-2012-0475
DescriptionMozilla Firefox 4.x through 11.0, Thunderbird 5.0 through 11.0, and SeaMonkey before 2.9 do not properly construct the Origin and Sec-WebSocket-Origin HTTP headers, which might allow remote attackers to bypass an IPv6 literal ACL via a cross-site (1) XMLHttpRequest or (2) WebSocket operation involving a nonstandard port number and an IPv6 address that contains certain zero fields.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow (attack range: remote)
Debian Bugs703071

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
icedove (PTS)jessie1:52.3.0-4~deb8u2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
iceapesource(unstable)(unfixed)low
icedovesource(unstable)10.0.4-1low
iceweaselsource(unstable)12.0-1low703071

Notes

[wheezy] - icedove <no-dsa> (Minor issue, also not fixed in ESV branch)
[squeeze] - icedove <no-dsa> (Minor issue, also not fixed in ESV branch)
[squeeze] - iceweasel <no-dsa> (Minor issue, also not fixed in ESV branch)
[wheezy] - iceweasel <no-dsa> (Minor issue, also not fixed in ESV branch)
[squeeze] - iceape <no-dsa> (Minor issue, also not fixed in ESV branch)
[wheezy] - iceape <no-dsa> (Minor issue, also not fixed in ESV branch)
Fixed in Thunderbird 12 and Seamonkey 2.9

Search for package or bug name: Reporting problems